import java.io.FileReader;
import java.util.Arrays;
import java.util.Comparator;
import java.util.Scanner;


public class Main {
	static node[] nodes;
	static double pos, eps;
	static int length, width;
	static int num_nodes;
	static int num_picked;
	static int start;

	static class node {
		double start, stop;
		node (int c, int r) {
			double d = (double)r * r - width * width / 4.0;
			d = Math.sqrt(d);
			start = c - d - eps; stop = c + d + eps;
		}
	}
	static class comp1 implements Comparator<node> {
		public int compare(node a, node b) {
			return Double.compare(a.start, b.start);
		}
	}
	
	static class comp2 implements Comparator<node> {
		public int compare(node a, node b) {
			return Double.compare(a.stop, b.stop);
		}
	}
		
	
	static {
		pos = 0;
		nodes = new node[10002];
		eps = 1e-8;
	}
	
	static boolean pick_next() {
		Arrays.sort(nodes, start, num_nodes, new comp1());
		int i = start;
		if (nodes[i].start > pos) return false;
		while (i < num_nodes && nodes[i].start <= pos) i++;
		Arrays.sort(nodes, start, i, new comp2());
		pos = nodes[i - 1].stop;
		start = i;
		return true;
	}
	
	public static void main(String[] args) throws Throwable{
		Scanner in =  new Scanner(System.in);
		while (in.hasNext()) {
			num_nodes = in.nextInt();
			length = in.nextInt();
			width = in.nextInt();
			for (int i = 0; i < num_nodes; i++) {
				nodes[i] = new node(in.nextInt(), in.nextInt());
			}
			
			start = 0; num_picked = 0; pos = 0;
			while (start < num_nodes && pos < length) {
				if (!pick_next()) break;
				num_picked++;
			}
			if (pos < length) System.out.println(-1);
			else System.out.println(num_picked);
			in.nextLine();
		}
	}	
}
