import java.util.Arrays;
import java.util.Scanner;
import java.io.*;

public class Main {
	public static void main(String args[]) throws Exception {
		
		Scanner in = new Scanner(System.in);
		//in = new Scanner(new File("in.txt"));
		
		int caseNum = 0;
		
		while(in.hasNext()) {
			caseNum++;
			
		int numNodesA = in.nextInt();
		
		if (numNodesA == -1 )break;
		
		Btree A = null;
		for (int i=0; i<numNodesA; i++) {
			if (A == null) A = new Btree(in.nextInt());
			else A.add(in.nextInt());
		}
		
		//System.out.println("   " + A);
		
		int numNodesB = in.nextInt();
		int numMods = 0;
		
		for (int i=0; i<numNodesB; i++) {
			int j = in.nextInt();
			if (A==null) {
				A = new Btree(j);
				A.same = true;
				numMods++;
			} else {
				numMods += A.modAdd(j);
			}
			//System.out.println(j + ": " + A + "\t" + numMods);
		}
		
		if (A != null) numMods += A.clear();
		
		System.out.print("Case " + caseNum + ":");
		System.out.print(" " + numMods + " ");
		if (numMods == 1) System.out.print("command.");
		else System.out.print("commands.");
		System.out.println();
		
		}
		
	}
	
}


class Btree {
	public Btree left;
	public Btree right;
	public int value;
	public boolean same = false;
	
	public Btree(int i) {
	 value = i;
	}
	
	public int add(int i) {
		
		if (i<value) {
			if (left == null) 
				left = new Btree(i);
			else 
				left.add(i);
		}
		if (i>value) {
			if (right == null) 
				right = new Btree(i);
			else 
				right.add(i);
		}
		
		return 1;
	}
	
	public int modAdd(int i) {
		if (value == i) {
			same = true;
			return 0;
		}
		
		if (!this.same) return this.replace(i);
		
		if (i<value) {
			if (left == null) {
				left = new Btree(i);
				left.same = true;
				return 1;
			}
			if (left.same) return left.modAdd(i);
			else return left.replace(i);
			
		}
		
		
		
		if (i>value) {
			if (right == null) {
				right = new Btree(i);
				right.same = true;
				return 1;
			}
			if (right.same) return right.modAdd(i);
			else return right.replace(i);
		}
		
		throw new RuntimeException();
		//return -10000;
		 
	}
	
	public int clear() {
		if (!this.same) return 1;
		int r = 0;
		if (left != null) r+= left.clear();
		if (right != null) r+= right.clear();
		
		return r;
	}
	
	public int replace(int i) {
		if (this.value == i) {
			this.same = true;
			return 0;
		}
		this.value = i;
		this.left = null;
		this.right = null;
		this.same = true;
		return 2;
	}
	
	public String toString() {
		String l = (left==null)? "" : left.toString();
		String r = (right==null)? "" : right.toString();
		return value + "[" + l + "]["  + r + "]";
	}
	
}