//Tristan Halvorson

import java.util.ArrayList;
import java.util.Scanner;

public class TreeMovers {
	
	public static void main(String[] args) {
		BinaryTree a;
		BinaryTree b;
		ArrayList<Integer> ans = new ArrayList<Integer>();
		
		Scanner in = new Scanner(System.in);
		int treeSize = in.nextInt();
		while(treeSize != -1) {
			a = new BinaryTree();
			b = new BinaryTree();
			for(int i = 0; i < treeSize; i++) {
				a.addNode(in.nextInt());
			}
			treeSize = in.nextInt();
			for(int i = 0; i < treeSize; i++) {
				b.addNode(in.nextInt());
			}
			
			ans.add(findDifferences(a.root, b.root));
			
			treeSize = in.nextInt();
		}
		for(int i = 0; i < ans.size(); i++) {
			System.out.print("Case " + (i+1) + ": " + ans.get(i) + " command");
			if(ans.get(i) != 1) System.out.print("s");
			System.out.println(".");
		}
	}
	
	public static int findDifferences(TreeNode node1, TreeNode node2) {
		if(node2 == null) {
			if(node1 == null) {
				return 0;
			} else {
				return 1;
			}
		}
		if(node1 == null) {
			// node2 is not null; return number of nodes that need to be added
			// to node1 to make it like node2
			return BinaryTree.subNodes(node2);
		}
		if(node1.value != node2.value) {
			return BinaryTree.subNodes(node2) + 1;
		}
		int total = 0;
		total += findDifferences(node1.leftBranch, node2.leftBranch);
		total += findDifferences(node1.rightBranch, node2.rightBranch);
		return total;
	}
}

class BinaryTree {
	public TreeNode root;
	
	public BinaryTree() {
		root = null;
	}
	
	public void addNode(int value) {
		if(root == null) {
			root = new TreeNode(value);
			return;
		}
		addNodeRecurse(root, value);
	}
	
	private void addNodeRecurse(TreeNode node, int value) {
		if(value < node.value) {
			if(node.leftBranch == null) {
				node.leftBranch = new TreeNode(value);
			} else {
				addNodeRecurse(node.leftBranch, value);
			}
		} else if(value > node.value) {
			if(node.rightBranch == null) {
				node.rightBranch = new TreeNode(value);
			} else {
				addNodeRecurse(node.rightBranch, value);
			}
		}
	}
	
	public void deleteNode(int value) {
		if(root == null) return;
		if(root.value == value) {
			root = null;
			return;
		}
		deleteNodeRecurse(root, value);
	}
	
	public void deleteNodeRecurse(TreeNode node, int value) {
		if(value < node.value) {
			if(node.leftBranch == null) {
				return;
			}
			if(node.leftBranch.value == value) {
				node.leftBranch = null;
				return;
			}
			deleteNodeRecurse(node.leftBranch, value);
		} else if(value > node.value) {
			if(node.rightBranch == null) {
				return;
			}
			if(node.rightBranch.value == value) {
				node.rightBranch = null;
				return;
			}
			deleteNodeRecurse(node.rightBranch, value);
		}
	}
	
	public static int subNodes(TreeNode node) {
		int total = 0;
		if(node != null) {
			total++;
			total += subNodes(node.leftBranch);
			total += subNodes(node.rightBranch);
		}
		return total;
	}
}

class TreeNode {
	public TreeNode leftBranch;
	public TreeNode rightBranch;
	public int value;
	
	public TreeNode(int value) {
		this.value = value;
	}
}