#include <iostream>
#include <cassert>
#include <utility>

using namespace std;

int nblocks, dims[30][3], adj[92][92];


int floyd()
{
    for(int k=0; k<nblocks*3+2; k++)
    for(int i=0; i<nblocks*3+2; i++)
    for(int j=0; j<nblocks*3+2; j++)
        if(adj[i][k] >= 0 && adj[k][j] >= 0)
            adj[i][j] = max(adj[i][k] + adj[k][j], adj[i][j]);
}


int main(int argc, char ** argv)
{
    for(int casenum=1; ;casenum++)
    {
        cin >> nblocks;
        
        if(nblocks == 0)
            return 0;
        
        for(int i=0; i<nblocks; i++)
            cin >> dims[i][0] >> dims[i][1] >> dims[i][2];

        memset(adj[0], -1, sizeof(int) * 92 * 92);
       
        for(int i=0; i<nblocks; i++)
        for(int di=0; di<3; di++)
        {
            int bx = dims[i][(di+1)%3],
                by = dims[i][(di+2)%3],
                bz = dims[i][di];
                
            if(bx < by)
            {
                int t = bx;
                bx = by;
                by = t;
            }
        
            for(int j=0; j<nblocks; j++)
            for(int dj=0; dj<3; dj++)
            {
                int ax = dims[j][(dj+1)%3],
                    ay = dims[j][(dj+2)%3],
                    az = dims[j][dj];
                    
                if(ax < ay)
                {
                    int t = ax;
                    ax = ay;
                    ay = t;
                }
                
                if(ax < bx && ay < by)
                    adj[3*i+di][3*j+dj] = bz;
            }
        }
        
        for(int i=0; i<3*nblocks; i++)
        {
            adj[3*nblocks][i] = 0;
            adj[i][3*nblocks+1] = dims[i/3][i%3];
        }
        
        
        floyd();
        
        
        cout << "Case " << casenum << ": maximum height = " << adj[3*nblocks][3*nblocks+1] << endl;
    }
}
