#include <stdio.h>
#include <stdlib.h>

struct node_struct
{
    int val;
    struct node_struct *u, *v;
} ;
typedef struct node_struct node_t;

node_t *node_new(int val)
{
    node_t *T = malloc( sizeof(node_t) );
    T->val = val;
    T->u = NULL;
    T->v = NULL;
}

int node_count(node_t *T)
{
    if (T)
        return 1 + node_count(T->u) + node_count(T->v);
    return 0;
}

int node_move(node_t *A, node_t *B)
{
    if (!A && !B)
        return 0;

    if ( A && !B)
        return 1;

    if (!A && B )
        return node_count(B);

    if (A->val == B->val)
        return  node_move(A->u, B->u) + 
                node_move(A->v, B->v)   ;

    // else
    return 1 + node_count(B);
}

node_t *node_add(node_t *T, int val)
{
    if (!T)
        T = node_new(val);
    else if (val < T->val)
        T->u = node_add(T->u, val);
    else
        T->v = node_add(T->v, val);
    return T;
}

void node_delete(node_t *T)
{
    if (T)
    {
        node_delete(T->u);
        node_delete(T->v);
        free(T);
    }
}

int main(int argc, char **argv)
{
    int i, k;
    for (i = 1; ; i++)
    {
        int n;
        scanf("%d", &n);
        if (n == -1) break;

        node_t *A = NULL;
        for (k = 0 ; k < n; k++)
        {
            int t;
            scanf("%d", &t);
            A = node_add(A, t);
        }

        scanf("%d", &n);

        node_t *B = NULL;
        for (k = 0 ; k < n; k++)
        {
            int t;
            scanf("%d", &t);
            B = node_add(B, t);
        }

        int r = node_move(A, B);
        if (r == 1)
            printf("Case %d: %d command.\n", i, r);
        else
            printf("Case %d: %d commands.\n", i, r);

        node_delete(A);
        node_delete(B);
    }
    return 0;
}
