#include <iostream>
#include <utility>
#include <cmath>
#include <vector>

using namespace std;

#define EPSILON     1e-10

typedef pair<double, double> seg;


int count(vector<seg> s, double w)
{
    sort(s.begin(), s.end());
    
    vector<seg> spr;
    double l = w, r = 0;
    
    for(int i=0; i<s.size(); i++)
    {
        seg x = s[i];
        
        if(x.first >= r + EPSILON)
            return -1;
        if(x.second <= r + EPSILON)
            continue;
            
        for(int j=((int)spr.size())-1; j>=0; j--)
        {
            if( spr[j].first  >= x.first - EPSILON &&
                spr[j].second <= x.second - EPSILON )
                spr.pop_back();
        }
        
        l = min(l, x.first);
        if(spr.size() > 0)
            x.first = spr[spr.size() - 1].second;

        r = max(r, x.second);
        spr.push_back(x);
    }
    
    if(l > EPSILON || r < w - EPSILON)
        return -1;

    return spr.size();
}


int main(int argc, char ** argv)
{
    while(true)
    {
        int n, l, w;
        if(!(cin >> n >> l >> w))
            return 0;
        
        double d = (double)(w * w) / 4.0;
        
        vector<seg> sprinkler;
        for(int i=0; i<n; i++)
        {
            double x, r;
            cin >> x >> r;
            
            //Compute intersection
            double v = r * r - d;
            
            if(v < 0)
                continue;
            
            double delta = sqrt(v);
            
            sprinkler.push_back(seg(
                max(0.0, x - delta),
                min((double)l, x + delta)));
        }
        
        cout << count(sprinkler, (double)l) << endl;
    }
}
