import java.util.*;

class Main {
	public static void main(String args[]) {
		Scanner sc = new Scanner(System.in);
		int numA, numB, caseNo = 1;
		BST bstA;
		BST bstB;
		while(true) {
			bstA = new BST();
			bstB = new BST();
			numA = sc.nextInt();
			if(numA == -1)
				return;
			for(int i = 0; i < numA; i++) {
				bstA.add(new Node(sc.nextInt()));
			}
			numB = sc.nextInt();
			for(int i = 0; i < numB; i++) {
				bstB.add(new Node(sc.nextInt()));
			}
			//System.out.println("Subtree: " + bstA.countSubTree(bstB.root));
			int numCommands = bstA.count(bstB, numB);
			if(numCommands == 1)
				System.out.println("Case " + caseNo++ + ": "+ numCommands  + " command.");
			else
				System.out.println("Case " + caseNo++ + ": "+ numCommands  + " commands.");
		}
	}
}

class Node {
	int data;
	Node left, right;
	
	public Node(int data) {
		this.data = data;
		left = null;
		right = null;
	}
}

class BST {
	Node root;
	
	public BST() {
		root = null;
	}
	
	public void add(Node nodeToAdd) {
		Node node = root;
		if(root == null) {
			root = nodeToAdd;
			return;
		}
		while(true) {
			if(nodeToAdd.data < node.data) {
				if(node.left == null) {
					node.left = nodeToAdd;
					return;
				}
				node = node.left;
			} else {
				if(node.right == null) {
					node.right = nodeToAdd;
					return;
				}
				node = node.right;
			}
		}
	}
	
	public int count(BST bstB, int numB) {
		if(root == null) {
			return numB;
		}
		
		if(bstB.root == null) {
			return 1;
		}
		
		return transform(root, bstB.root);
	}
	
	public int transform(Node src, Node dst) {
		if(dst == null && src == null)
			return 0;
		if(dst == null)
			return 1;
		if(src == null)
			return countSubTree(dst);
		if(src.data == dst.data) {
			return transform(src.left, dst.left) + transform(src.right, dst.right);
		}
		return countSubTree(dst) + 1;
	}
	
	public int countSubTree(Node src) {
		if(src == null)
			return 0;
		return countSubTree(src.left) + countSubTree(src.right) + 1;
	}
}